/* Claim outer layer */
.claim_outer_layer {
    display: flex;
    align-items: center;
    justify-content: center;

    font-size: 18px;
    font-weight: bold;
    color: white;

    border: 2px solid #ff793f;
    border-radius: 8px;

    overflow: hidden;
}

/* Claim prefix */
.claim_prefix {
    padding-left: 24px;
}

/* Claim suffix */
.claim_suffix {
    padding: 0 2px;
}
.claim_input_field {
    font-size: 18px;
    font-weight: bold;
    padding: 0px;
    height: 50px;
    margin: 0px;

    background: transparent;
    color: white;
    border: 0px;
    box-shadow: none;
}
.claim_input_field:focus {
    background: transparent;
    color: white;
    box-shadow: none;
}
.claim_input_field:disabled {
    background: transparent;
    color: white;
    opacity: 0.7;
}

/* Claim button */
.claim_filled_button {
    background-color: #ff793f;
    border: 1px solid #ff793f;
    color: white;
    border-radius: 0 6px 6px 0;
    padding: 16px 16px;
    font-weight: 700;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    font-size: 16px;
    width: 136px;
}
.claim_filled_button:hover {
    background-color: #ff793f;
    border: 1px solid #ff793f;
    color: white;
    filter: brightness(1.1);
}
.claim_filled_button:focus {
    background-color: #ff793f !important;
    border: 1px solid #ff793f;
    color: white;
    box-shadow: 0 0 0 0.25rem rgba(255, 121, 63, 0.25) !important;
}
.claim_filled_button:active {
    color: white;
    background-color: #ff793f;
    border: 1px solid #ff793f;
}

/* Already have a account */
.already_have_account_layout {
    margin-top: 10px;
    font-size: 14px;
    color: rgba(255, 255, 255, 0.8);
}
.already_have_account_signin {
    cursor: pointer;
    color: #ff793f;
}
.already_have_account_signin:hover {
    color: #ff793f;
}

/* Extra small devices (portrait phones, less than 576px) */
@media (max-width: 575.98px) {
    /* Claim outer layer */
    .claim_outer_layer {
        font-size: 14px;
    }

    /* Claim prefix */
    .claim_prefix {
        padding-left: 10px;
    }

    /* Claim suffix */
    .claim_input_field {
        width: 100px;
        font-size: 14px;
    }

    /* Claim cta */
    .claim_filled_button {
        font-size: 14px;
        width: 122px;
    }
}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) and (max-width: 767.98px) {
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) and (max-width: 991.98px) {
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) and (max-width: 1199.98px) {
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
}

.claim_input_field::placeholder {
    /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: white;
    opacity: 0.5; /* Firefox */
}

.claim_input_field:-ms-input-placeholder {
    /* Internet Explorer 10-11 */
    color: white;
}

.claim_input_field::-ms-input-placeholder {
    /* Microsoft Edge */
    color: white;
}
